Qiime 2 install issue

Dear Qiime 2 community,

I was recently trying to update my qiime 2 from 2019.4 environment to the latest environment (Mac OS Mojave), and I followed exactly what was described on qiime 2 website, but ran into the following errors (see below). Can anyone advice on what to do?

Thank you!

Best,

Wenhan

Error:

Preparing transaction: done
Verifying transaction: done
Executing transaction: \ b’Enabling notebook extension jupyter-js-widgets/extension…\n - Validating: \x1b[32mOK\x1b[0m\n’
done
ERROR conda.core.link:_execute(700): An error occurred while installing package ‘bioconda::bioconductor-genomeinfodbdata-1.2.1-r351_0’.
Rolling back transaction: done
class: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.1-r351_0
location of failed script: /Users/Wenhan/opt/miniconda3/envs/qiime2-2019.10/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout: ERROR: post-link.sh was unable to download any of the following URLs with the md5sum 2fd536521151e2ff37217b5cfee8cec4:
https://bioconductor.org/packages/3.9/data/annotation/src/contrib/GenomeInfoDbData_1.2.1.tar.gz
https://bioarchive.galaxyproject.org/GenomeInfoDbData_1.2.1.tar.gz
https://depot.galaxyproject.org/software/bioconductor-genomeinfodbdata/bioconductor-genomeinfodbdata_1.2.1_src_all.tar.gz

stderr: % Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0curl: (35) error:1408F10B:SSL routines:ssl3_get_record:wrong version number
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0curl: (35) error:1408F10B:SSL routines:ssl3_get_record:wrong version number
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0curl: (35) error:1408F10B:SSL routines:ssl3_get_record:wrong version number

return code: 1

kwargs:
{}

Traceback (most recent call last):
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1078, in call
return func(*args, **kwargs)
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda_env/cli/main.py”, line 80, in do_call
exit_code = getattr(module, func_name)(args, parser)
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda_env/cli/main_create.py”, line 102, in execute
result[installer_type] = installer.install(prefix, pkg_specs, args, env)
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda_env/installers/conda.py”, line 32, in install
unlink_link_transaction.execute()
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda/core/link.py”, line 249, in execute
self._execute(tuple(concat(interleave(itervalues(self.prefix_action_groups)))))
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda/core/link.py”, line 716, in _execute
rollback_excs,
conda.CondaMultiErrorclass: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.1-r351_0
location of failed script: /Users/Wenhan/opt/miniconda3/envs/qiime2-2019.10/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout: ERROR: post-link.sh was unable to download any of the following URLs with the md5sum 2fd536521151e2ff37217b5cfee8cec4:
https://bioconductor.org/packages/3.9/data/annotation/src/contrib/GenomeInfoDbData_1.2.1.tar.gz
https://bioarchive.galaxyproject.org/GenomeInfoDbData_1.2.1.tar.gz
https://depot.galaxyproject.org/software/bioconductor-genomeinfodbdata/bioconductor-genomeinfodbdata_1.2.1_src_all.tar.gz

stderr: % Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0curl: (35) error:1408F10B:SSL routines:ssl3_get_record:wrong version number
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0curl: (35) error:1408F10B:SSL routines:ssl3_get_record:wrong version number
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0curl: (35) error:1408F10B:SSL routines:ssl3_get_record:wrong version number

return code: 1

kwargs:
{}

: <exception str() failed>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/Wenhan/opt/miniconda3/bin/conda-env”, line 7, in
sys.exit(main())
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda_env/cli/main.py”, line 91, in main
return conda_exception_handler(do_call, args, parser)
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1370, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1081, in call
return self.handle_exception(exc_val, exc_tb)
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1112, in handle_exception
return self.handle_application_exception(exc_val, exc_tb)
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1128, in handle_application_exception
self._print_conda_exception(exc_val, exc_tb)
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1132, in _print_conda_exception
print_conda_exception(exc_val, exc_tb)
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda/exceptions.py”, line 1055, in print_conda_exception
stderrlog.error("\n%r\n", exc_val)
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/logging/init.py”, line 1407, in error
self._log(ERROR, msg, args, **kwargs)
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/logging/init.py”, line 1514, in _log
self.handle(record)
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/logging/init.py”, line 1523, in handle
if (not self.disabled) and self.filter(record):
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/logging/init.py”, line 751, in filter
result = f.filter(record)
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda/gateways/logging.py”, line 60, in filter
record.msg = record.msg % new_args
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda/init.py”, line 123, in repr
errs.append(e.repr())
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda/init.py”, line 62, in repr
return ‘%s: %s’ % (self.class.name, text_type(self))
File “/Users/Wenhan/opt/miniconda3/lib/python3.7/site-packages/conda/init.py”, line 81, in str
return text_type(self.message % self._kwargs)
ValueError: unsupported format character ‘T’ (0x54) at index 691
(base) sebastians-imac:~ Wenhan$

Hello @dazhudou1122,

Welcome to the Qiime forums! :qiime2:

I noticed this part of the error:

Looks like the files were not able to be downloaded from the internet. :arrow_heading_down: :open_file_folder: Is there something that could keep your mac from downloading these files from Conda?

Can you install other things using conda, like this?
conda install -c bioconda vsearch

Colin

Dear Colin,

Thank you for your help! You are right, something prevented me from downloading “genomeinfodbdata”. While I can install vsearch, I can’t get genomeinfodbdata to install for some reason. I ran:
conda install -c bioconda bioconductor-genomeinfodbdata
and I got the same error…

Well, you can clearly get on the internet, so I’m not sure what’s going wrong!

What is the full command are you running?

To test whether I can download vsearch, I used what you suggested: conda install -c bioconda vsearch
To install qiime2,
I did:

conda update conda
conda install wget
then
wget https://data.qiime2.org/distro/core/qiime2-2019.10-py36-osx-conda.yml
conda env create -n qiime2-2019.10 --file qiime2-2019.10-py36-osx-conda.yml

I got all the errors after running:
conda env create -n qiime2-2019.10 --file qiime2-2019.10-py36-osx-conda.yml .
I then tried to fix what could not be download:
conda install -c bioconda bioconductor-genomeinfodbdata

Same error…

1 Like

Ah OK.

I think I missed this important part of the error:
1408F10B:SSL routines:ssl3_get_record:wrong version number

Here’s a thread about that this SSL Error:

Does changing your conda internet settings help?

Colin